Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.ui.freemarker
Class SpringTemplateLoader

    java.lang.Object
      org.springframework.ui.freemarker.SpringTemplateLoader

All Implemented Interfaces:
  freemarker.cache.TemplateLoader

    public class SpringTemplateLoader

extends java.lang.Object
implements freemarker.cache.TemplateLoader

FreeMarker TemplateLoader adapter that loads via a Spring ResourceLoader. Used by FreeMarkerConfigurationFactory for any resource loader path that cannot be resolved to a java.io.File.

Since:
  14.03.2004
Author:
  Juergen Hoeller
See Also:
  `FreeMarkerConfigurationFactory.setTemplateLoaderPath(java.lang.String)`, `Configuration.setDirectoryForTemplateLoading(java.io.File)`

Field Summary
`protected org.apache.commons.logging.Log` | `logger`

Constructor Summary
`SpringTemplateLoader(ResourceLoader resourceLoader, java.lang.String templateLoaderPath)` Create a new SpringTemplateLoader.

Method Summary
`void` | `closeTemplateSource(java.lang.Object templateSource)`
`java.lang.Object` | `findTemplateSource(java.lang.String name)`
`long` | `getLastModified(java.lang.Object templateSource)`
`java.io.Reader` | `getReader(java.lang.Object templateSource, java.lang.String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.apache.commons.logging.Log logger

Constructor Detail

### SpringTemplateLoader

    public SpringTemplateLoader(ResourceLoader resourceLoader,
                                java.lang.String templateLoaderPath)

  Create a new SpringTemplateLoader.

  Parameters:
    `resourceLoader` - the Spring ResourceLoader to use
    `templateLoaderPath` - the template loader path to use

Method Detail

### findTemplateSource

    public java.lang.Object findTemplateSource(java.lang.String name)
                                        throws java.io.IOException

  Specified by:
    `findTemplateSource` in interface `freemarker.cache.TemplateLoader`
  Throws:
    `java.io.IOException`

### getReader

    public java.io.Reader getReader(java.lang.Object templateSource,
                                    java.lang.String encoding)
                             throws java.io.IOException

  Specified by:
    `getReader` in interface `freemarker.cache.TemplateLoader`
  Throws:
    `java.io.IOException`

### getLastModified

    public long getLastModified(java.lang.Object templateSource)

  Specified by:
    `getLastModified` in interface `freemarker.cache.TemplateLoader`

### closeTemplateSource

    public void closeTemplateSource(java.lang.Object templateSource)
                             throws java.io.IOException

  Specified by:
    `closeTemplateSource` in interface `freemarker.cache.TemplateLoader`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD